Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002459 [JEDI VCL] 00 JVCL Components crash always 2005-01-02 23:43 2005-02-04 04:01
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002459: JvNavPaneToolPanel unable to assign TAction to button when using frames
Description Exception is thrown when trying to assign TAction to a button in Buttons collection of JvNavPaneToolPanel.
Steps:
1. Create a new frame
2. Drop JvNavPaneToolPanel
3. Create couple of buttons
4. Drop TActionList, create some actions
5. Try to set Action property of one of the buttons --->Crash
Additional Information Using D6 SR2
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006064)
user72
2005-01-03 04:59

Could it have something to do with a missing Assign procedure?

In JvNavigationPane, add:

  TJvNavPaneToolButton = class(TCollectionItem)
  public
    procedure Assign(Source:TPersistent);override;
  end;

implementation

procedure TJvNavPaneToolButton.Assign(Source: TPersistent);
begin
  if Source is TJvNavPaneToolButton then
  begin
    if Source <> Self then
    begin
      Action := TJvNavPaneToolButton(Source).Action;
      Hint := TJvNavPaneToolButton(Source).Hint;
      ImageIndex := TJvNavPaneToolButton(Source).ImageIndex;
      Enabled := TJvNavPaneToolButton(Source).Enabled
    end;
  end
  else
    inherited Assign(Source);
end;

Recompile packages\d6\JvPageCompsD6R.dpk. I have no problems after adding the above code.
(0006094)
anonymous (viewer)
2005-01-05 20:49

Looks OK now.
Thanks Peter!

- Issue History
Date Modified Username Field Change
2005-01-02 23:43 anonymous New Issue
2005-01-03 04:59 user72 Note Added: 0006064
2005-01-03 04:59 user72 Status new => feedback
2005-01-05 20:49 anonymous Note Added: 0006094
2005-02-04 04:01 obones Status feedback => resolved
2005-02-04 04:01 obones Fixed in Version => 3.00
2005-02-04 04:01 obones Resolution open => fixed
2005-02-04 04:01 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker